Page MenuHomePhabricator

Whitelist @MarcoAurelio in Zuul configuration so he can 'recheck' / 'check zend'
Closed, ResolvedPublic

Description

I'd like to be whitelisted to be able to use the 'check zend' command. Sometimes such as in this change I don't know why zend sometimes failed, and when that happens, I'd like to be able to ask the bot to recheck. Best regards.

Event Timeline

MarcoAurelio raised the priority of this task from to Needs Triage.
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio added a project: Gerrit.
MarcoAurelio added a subscriber: MarcoAurelio.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2015, 8:48 AM
Aklapper renamed this task from check zend access to Provide access to "check zend".Oct 5 2015, 11:07 AM
Aklapper set Security to None.
greg renamed this task from Provide access to "check zend" to Provide access to "check zend" for @MarcoAurelio.Oct 5 2015, 4:44 PM
greg removed a project: Gerrit.
hashar renamed this task from Provide access to "check zend" for @MarcoAurelio to Whitelist @MarcoAurelio in Zuul configuration so he can 'recheck' / 'check zend'.Oct 5 2015, 6:01 PM
hashar added a subscriber: hashar.Oct 5 2015, 7:10 PM

Hola Marco, apparently you have been whitelisted on Sep. 17th with the change https://gerrit.wikimedia.org/r/#/c/239146/1/zuul/layout.yaml,unified

Can you try commenting check zend on https://gerrit.wikimedia.org/r/#/c/241593/ ? That should run the Zend test and report back in Gerrit. From there I could dig in the debug log to see what is going on, but really it should work.

Hola Marco, apparently you have been whitelisted on Sep. 17th with the change https://gerrit.wikimedia.org/r/#/c/239146/1/zuul/layout.yaml,unified
Can you try commenting check zend on https://gerrit.wikimedia.org/r/#/c/241593/ ? That should run the Zend test and report back in Gerrit. From there I could dig in the debug log to see what is going on, but really it should work.

Bonjour Antoine. I did it in https://gerrit.wikimedia.org/r/243617, and since nothing happened, I filled this bug. I didn't know that I was already whitelisted and I'd like to thank @Legoktm for doing it. If you want me to try again there, please tell me :) Merci.

For MediaWiki extensions we still run the Zend tests on patchset proposal, so there is no need to use check zend.

Instead you can trigger the whole set of tests with recheck.

When we come to T101392: Trigger PHPUnit job for MediaWiki extensions with HHVM instead of Zend in 'test' pipeline we will run tests with HHVM on patchset proposal, then it will make send to use check zend. On CR+2 we will run both.

hashar triaged this task as Normal priority.Oct 6 2015, 11:09 AM

@hashar Since I'm whitelisted then, should we keep this open? Best regards.

I guess you can try commenting recheck in Gerrit. If that triggers jobs, you can get this task closed :-)

MarcoAurelio closed this task as Resolved.Oct 17 2015, 9:16 AM
MarcoAurelio claimed this task.

I guess you can try commenting recheck in Gerrit. If that triggers jobs, you can get this task closed :-)

I did in https://gerrit.wikimedia.org/r/#/c/243617/ and it works. So closing this myself. Thanks all.